// SPDX-License-Identifier: MIT
pragma solidity ^0.8.0;

import {MetaKeepLambdaBase} from "./base/MetaKeepLambdaBase.sol";
import "./MetaKeepLambdaACLUpgradeable.sol";

contract MetaKeepLambdaUpgradeable is
    MetaKeepLambdaBase,
    MetaKeepLambdaACLUpgradeable
{
    // slither-disable-next-line naming-convention
    function _MetaKeepLambda_init(address lambdaOwner, string memory lambdaName)
        internal
        onlyInitializing
    {
        // slither-disable-next-line naming-convention
        _MetaKeepLambda_initializeOwner(lambdaOwner);
        _setDomainSeperator(lambdaName);
    }
}
