// SPDX-License-Identifier: MIT
pragma solidity ^0.8.0;

import {MetaKeepLambdaBase} from "./base/MetaKeepLambdaBase.sol";
import "./lib/MetaKeepLambdaStructs.sol";
import "./MetaKeepLambdaACL.sol";

contract MetaKeepLambda is MetaKeepLambdaBase, MetaKeepLambdaACL {
    constructor(address lambdaOwner, string memory lambdaName)
        MetaKeepLambdaACL(lambdaOwner)
    {
        _setDomainSeperator(lambdaName);
    }
}
